const question = [{
  type: 'input',
  name: 'name',
  message: "What's Your App Name",
  validate: function (value) {
    if (/.+/.test(value)) {
      return true;
    } else {
      return 'please enter a valid App name'
    }
  },
},
{
  type: 'input',
  name: 'group',
  message: "What's Gitlab Group of App",
  default: 'dingding'
},
{
  type: 'input',
  name: 'description',
  message: "What's Description of App",
  validate: function (value) {
    if (!value) {
      return 'please enter description of App'
    } else {
      return true
    }
  }
},
{
  type: 'input',
  name: 'keywords',
  message: "What's Keywords of App",
  validate: function (value) {
    if (!value) {
      return 'please enter keywords of App'
    } else {
      return true
    }
  }
},
{
  type: 'list',
  name: 'registry',
  message: `Which registry do you want ?`,
  choices: [
    'tnpm',
    'yarn',
    'npm'
  ]
},
{
  type: 'confirm',
  name: 'gitlab',
  message: "Whether you need to create app on gitlab automatically",
  default: true
}
];

module.exports = question;